Skip to main content
POST
/
api
/
openapi
/
submit
curl --request POST \
  --url https://aireiter.com/api/openapi/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "veo3_1",
    "params": {
      "prompt": "Animate this image",
      "image_url": "https://example.com/reference.jpg",
      "aspect_ratio": "16:9"
    },
    "out_task_id": "my_task_123456"
  }'
{
  "statusCode": 200,
  "message": "",
  "data": {
      "out_task_id": "my_task_123456",
      "status": "pending",
      "estimated_credits": 100,
      "created_at": "2025-12-22T06:03:28.242Z"
  }
}

Authorizations

Authorization
string
required
All endpoints require authentication using a Bearer Token.Get the API Key:Visit the API Key Management Page to get your API Key.Add the following to the request headers:
Authorization: Bearer YOUR_API_KEY

Body

model
string
required
Model name, supporting the following channel versions (channels only affect service stability, not output quality):
  • "veo3_1" - Default
  • "veo3_1_base" - Basic version
  • "veo3_1_plus" - Enhanced version
params
object
required
Model parameters object
out_task_id
string
required
Initiator’s task IDUser-defined task identifier, required

Response

out_task_id
string
The initiator’s task ID, which can be used to query the results
status
string
Initial status, fixed as "pending"
estimated_credits
number
Estimated credits consumed
created_at
string
Creation time (ISO format)
curl --request POST \
  --url https://aireiter.com/api/openapi/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "veo3_1",
    "params": {
      "prompt": "Animate this image",
      "image_url": "https://example.com/reference.jpg",
      "aspect_ratio": "16:9"
    },
    "out_task_id": "my_task_123456"
  }'
{
  "statusCode": 200,
  "message": "",
  "data": {
      "out_task_id": "my_task_123456",
      "status": "pending",
      "estimated_credits": 100,
      "created_at": "2025-12-22T06:03:28.242Z"
  }
}